## com.gargoylesoftware.htmlunit.html
Class UnknownElementFactory

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.UnknownElementFactory

All Implemented Interfaces:
  IElementFactory

    public final class UnknownElementFactory

extends java.lang.Object
implements IElementFactory

A factory for elements encountered in parsing the input which are not represented by dedicated element classes.

Version:
  $Revision: 4002 $
Author:
  Christian Sell, Ahmed Ashour, David K. Taylor

Field Summary
`static UnknownElementFactory` `instance` The singleton instance.

Method Summary
`HtmlElement` `createElement(SgmlPage page, java.lang.String tagName, org.xml.sax.Attributes attributes)` Creates an element according to this factory's specification.
`HtmlElement` `createElementNS(SgmlPage page, java.lang.String namespaceURI, java.lang.String qualifiedName, org.xml.sax.Attributes attributes)` Creates an element according to this factory's specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final UnknownElementFactory instance

  The singleton instance.

Method Detail

### createElement

    public HtmlElement createElement(SgmlPage page,
                                     java.lang.String tagName,
                                     org.xml.sax.Attributes attributes)

  Creates an element according to this factory's specification. Note that even though this method takes a page parameter, the element is not automatically added to the page's DOM tree.

  Specified by:
    `createElement` in interface `IElementFactory`
  Parameters:
    `page` - the enclosing page for the new element
    `tagName` - the tag name (most factories will be responsible for a specific tag, but this parameter is passed in for factories that don't follow this rule)
    `attributes` - the attributes encountered during XML/HTML parsing (possibly `null` if no attributes specified
  Returns:
    the newly created and initialized element

### createElementNS

    public HtmlElement createElementNS(SgmlPage page,
                                       java.lang.String namespaceURI,
                                       java.lang.String qualifiedName,
                                       org.xml.sax.Attributes attributes)

  Creates an element according to this factory's specification. Note that even though this method takes a page parameter, the element is not automatically added to the page's DOM tree.

  Specified by:
    `createElementNS` in interface `IElementFactory`
  Parameters:
    `page` - the enclosing page for the new element
    `namespaceURI` - the URI that identifies an XML namespace
    `qualifiedName` - the qualified name of the element type to instantiate
    `attributes` - the attributes encountered during XML/HTML parsing (possibly `null` if no attributes specified
  Returns:
    the newly created and initialized element

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.